/*
 * GEMClip, a Clipboard Manager for FreeMiNT and MagiC.
 *
 * Copyright (C) 2011 Jean-Franois Lemaire (jflemaire@skynet.be)
 *
 * This file is part of GEMClip.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

struct text {
	char *buffer;	// Textual data.
	char **line;	// Pointers to lines of textual data.
	int  lineidx;	// Index of the line at the top of the work area.
	int  nolines;	// Number of lines.
};

int  open_about_form   (GEMCLIP *manager, WINDOW *window);
void handle_about_form (GEMCLIP *manager, WINDOW *window, OBJECT *tree, EVMULT_OUT *evmult_out, short object, USERCONF *conf, BUBBLES *bubbles);
void draw_license      (WINDOW *window, TEXT *text, OBJECT *tree);
void free_license      (TEXT *text);
